Skip to main content
POST
/
v3.0
/
{ClientId}
/
payins
/
intents
/
{IntentId}
/
captures
// No request body
{
    "Id": "int_019bfa4f-60ba-7842-89c0-382066c072f1",
    "Amount": 20000,
    "AvailableAmountToSplit": 20000,
    "UnfundedAmount": 0,
    "Currency": "EUR",
    "PlatformFeesAmount": 0,
    "Status": "CAPTURED",
    "NextActions": "REFUND, DISPUTE",
    "ExternalData": {
        "ExternalProcessingDate": 1769431064,
        "ExternalProviderReference": "auth-stripe-36e34fd5-512f-4fb6-b4c2-3084ba3cd947",
        "ExternalMerchantReference": "order-a790c539-9c63-4166-8595-7b78f06e9215",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    },
    "Buyer": {
        "Id": "user_m_01KF3087EDXEAK8VPD9DTMZW8N"
    },
    "LineItems": [
        {
            "Id": "int_li_019bfa4f-60c5-7306-b993-bf38153edb6f",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        },
        {
            "Id": "int_li_019bfa4f-60c5-7306-b993-bf38153edb70",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        }
    ],
    "CreationDate": 1769431064,
    "ExecutionDate": 1769431555,
    "Capture": {
        "Id": "int_capture_019bfa56-dbed-7d3d-8a24-beebfc81033b"
    }
}
You can use this endpoint in three capture scenarios requiring three difference request bodies.

Path parameters

IntentId
string
required
The unique identifier of the Intent.

Body parameters

No request body for full simultaneous capture. The full Amount of the intent is captured (all line items) and the ExternalData is the same as the Intent (same provider references and date).

Responses

Id
string
The unique identifier of the intent.
Amount
integer
The full amount authorized in the Intent, which must equal the sum of the total amounts of all LineItems.
AvailableAmountToSplit
integer
The remaining amount of the Intent that can be split and transferred to the sellers’ wallets.
UnfundedAmount
integer
The amount needing to be settled to the Platform’s escrow wallet before the Intent Splits can be executed.
Currency
integer
The currency of the intent.
PlatformFees
integer
The amount of fees to be diverted to the platform’s Fees Wallet when the Intent is split. This value can be overridden when the Split is created.The PlatformFees value must the sum of all line item Seller.FeesAmount values.
Status
string
The status of the Intent, as declared by the platform through Intent Captures, Refunds (and reversals), or Disputes (and decisions). Where partial actions occur, the top-level Intent Status may differ from the Status of Intent LineItems.Intent Status values:
  • AUTHORIZED – The Intent Amount was authorized for acquisition by the PSP and can be captured or canceled.
  • PARTIALLY_CAPTURED – Part of the Intent Amount from one or more LineItems was captured. The other parts are either still available for capture or cancel.
  • CAPTURED – All of the Intent Amount was captured. Part of it may have been subsequently refunded or disputed.
  • CANCELLED – All of the Intent Amount was canceled.
  • REFUNDED – All of the CapturedAmount of all LineItems was refunded.
  • REFUND_REVERSED – The refund could not be completed and the funds were returned to the platform.
  • DISPUTED – All of the CapturedAmount of all LineItems was disputed.
  • DEFENDED – The dispute is being defended by the platform.
  • DISPUTED_WON – The dispute was resolved in favor of the platform.
  • DISPUTED_LOST – The dispute was resolved against the platform.
NextActions
string
The possible next actions on the intent.
ExternalData
object
Information about the capture processed by the third-party PSP.The ExternalData values are required if they differ from the original Intent values, which is the case for captures that are separate from authorization (different reference and/or date).
Buyer
object
Information about the buyer.
LineItems
array (object)
Information about the line items included in the intent action.
CreationDate
string
The date and time at which the Intent was created.
ExecutionDate
Unix timestamp
The date and time at which the Intent moved to AUTHORIZED.
Capture
object
Information about the Capture.
{
    "Message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.",
    "Id": "538f0981-b975-4790-8a20-748a8afe8719",
    "Date": 1752063380,
    "Type": "param_error",
    "Errors": {
        "Amount": "The total intent amount does not match the sum of the declared LineItem amounts"
    }
}
{
    "Message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.",
    "Id": "19232364-0772-4ba2-bb7d-5ac6aa1ea385",
    "Date": 1752064526,
    "Type": "param_error",
    "Errors": {
        "Amount": "Capture not possible: current captured amount [10000] plus capture amount [5000] exceeds the Intent.LineItemId=[int_li_0197ef2e-88f7-7bcc-8937-207a5e5f483a] with amount [10000]"
    }
}
{
    "Message": "Action on the Intent resource is not permitted",
    "Id": "51a50212-30d5-4761-a2c7-f92aca09d697",
    "Date": 1750257386,
    "Type": "invalid_action",
    "Errors": {
        "Capture": "A partial operation was found, please include instructions in the request body"
    }
}
{
    "Id": "int_019bfa4f-60ba-7842-89c0-382066c072f1",
    "Amount": 20000,
    "AvailableAmountToSplit": 20000,
    "UnfundedAmount": 0,
    "Currency": "EUR",
    "PlatformFeesAmount": 0,
    "Status": "CAPTURED",
    "NextActions": "REFUND, DISPUTE",
    "ExternalData": {
        "ExternalProcessingDate": 1769431064,
        "ExternalProviderReference": "auth-stripe-36e34fd5-512f-4fb6-b4c2-3084ba3cd947",
        "ExternalMerchantReference": "order-a790c539-9c63-4166-8595-7b78f06e9215",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    },
    "Buyer": {
        "Id": "user_m_01KF3087EDXEAK8VPD9DTMZW8N"
    },
    "LineItems": [
        {
            "Id": "int_li_019bfa4f-60c5-7306-b993-bf38153edb6f",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        },
        {
            "Id": "int_li_019bfa4f-60c5-7306-b993-bf38153edb70",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        }
    ],
    "CreationDate": 1769431064,
    "ExecutionDate": 1769431555,
    "Capture": {
        "Id": "int_capture_019bfa56-dbed-7d3d-8a24-beebfc81033b"
    }
}
// No request body